import numpy as np
import scipy.linalg as alg

# Ukazkova matica A.
A = alg.pascal(4)
print(A)

# Vyuzivame maticove mocniny B = A^-1.
B = np.linalg.matrix_power(A, -1)
print(B)

# Vyuzivame vstavanu inverznu funkciu.
B = alg.inv(A)
print(B)

# Riesime rovnicu AxB = E, kde E je jednotkova matica.
B = alg.lstsq(A, np.identity(4))[0]
print(B)